OpenTTD Source: Data Fields

OpenTTD Source 15.0-RC2

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - v -

- v : Blitter_32bppSimple::Pixel, RefitResult, VehicleScopeResolver
- valid_files : BaseSet< T >
- valid_history : Industry, Town
- valid_values : FaceVar
- ValidateChainIndex() : NewGRFInspectWindow
- ValidateColour() : StoryPageButtonData
- ValidateCursor() : StoryPageButtonData
- ValidateFileList() : ConsoleFileList
- ValidateVehicleType() : StoryPageButtonData
- value : Cheat, IniItem, Vehicle
- value_names : GRFParameterInfo
- valuedropdown_entry : GameOptionsWindow
- ValueType : BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >
- valuewindow_entry : GameOptionsWindow
- vao_quad : OpenGLBackend
- Var10Values() : SpriteLayoutProcessor
- var60params : NewGRFInspectWindow
- var_scope : RandomizedSpriteGroup
- variable : CheatEntry
- variables : NIFeature
- variant_id : EngineInfo, GUIEngineListItem
- variety : GameCreationSettings
- vbo_quad : OpenGLBackend
- vcache : Vehicle
- veh : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- veh_owner : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- vehchain : CursorVars
- vehgroups : BaseVehicleListWindow
- vehicle : CompanySettings, CYapfBaseT< Types >, GameSettings, IntroGameViewportCommand, LinkRefresher, OrdersWindow, SoundSettings, TimetableWindow
- Vehicle() : Vehicle
- vehicle_breakdowns : DifficultySettings
- vehicle_costs : DifficultySettings
- vehicle_editbox : BuildVehicleWindow
- vehicle_enter_tile_proc : TileTypeProcs
- vehicle_flags : BaseConsist
- vehicle_income_warn : GUISettings
- vehicle_margin : RefitWindow
- vehicle_multiplier : LoadgameState
- vehicle_over : DepotWindow
- vehicle_sel : BaseVehicleListWindow
- vehicle_type : BuildVehicleWindow, Group, ReplaceVehicleWindow
- vehicle_width : RefitWindow
- VehicleDetailsWindow() : VehicleDetailsWindow
- VehicleListIdentifier() : VehicleListIdentifier
- VehicleReachedMinAge() : GroupStatistics
- VehicleResolverObject() : VehicleResolverObject
- vehicles : BaseVehicleListWindow
- vehicles_begin : GUIVehicleGroup
- vehicles_end : GUIVehicleGroup
- VehicleScopeResolver() : VehicleScopeResolver
- VehicleType : CYapfBaseT< Types >
- VEHSChunkHandler : Order
- vehstatus : Vehicle
- Verify() : Backup< T >
- version : BaseSet< T >, ContentInfo, GameStrings, GRFConfig, IndustryProductionSpriteGroup, LanguagePackHeader, LoggedChangeOldVersion, NetworkGame, ScriptConfig, ScriptInfo, SocialIntegrationPlugin
- Version() : StringData
- version_compatible : NetworkGameInfo
- version_from : SaveLoad, SaveLoadCompat
- version_to : SaveLoad, SaveLoadCompat
- vert_inter_industry_space : CargoesField
- Vertical() : RectPadding
- vertical_cargoes : CargoesField
- vertical_dimension : NWidgetScrollbar
- vertical_scale : FrametimeGraphWindow
- vid_buffer : OpenGLBackend
- vid_pbo : OpenGLBackend
- vid_program : OpenGLBackend
- vid_texture : OpenGLBackend
- view : HouseScopeResolver, Object, ObjectScopeResolver, RoadStopScopeResolver
- viewport : Window
- views : ObjectSpec
- virtual_height : Viewport
- virtual_left : Viewport
- virtual_top : Viewport
- virtual_width : Viewport
- visible : CursorVars, GUIBadgeClasses::Element
- visible_first : TextfileWindow
- visible_last : TextfileWindow
- visible_settings : GSConfigWindow, ScriptSettingsWindow
- VisibleSettingsList : GSConfigWindow, ScriptSettingsWindow
- visual_effect : RailVehicleInfo, RoadVehicleInfo, ShipVehicleInfo
- visual_profit : CargoPayment
- visual_transfer : CargoPayment
- vli : BaseVehicleListWindow
- vm : Squirrel
- vscroll : AIConfigWindow, BaseCargoGraphWindow, GoalListWindow, GSConfigWindow, MessageHistoryWindow, NetworkClientListWindow, NetworkContentListWindow, NetworkGameWindow, RefitWindow, SavePresetWindow, ScriptDebugWindow, ScriptListWindow, ScriptSettingsWindow, StoryBookWindow, TextfileWindow, TimetableWindow
- vscrollbar : WidgetDimensions
- vsep_normal : WidgetDimensions
- vsep_picker : WidgetDimensions
- vsep_sparse : WidgetDimensions
- vsep_wide : WidgetDimensions
- vt : WaypointWindow
- vtype : VehicleListIdentifier